Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder

    java.lang.Object
      com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
          com.google.protobuf.AbstractMessage.Builder<BuilderType>
              com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder>
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode

    public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder

extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder>
implements JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode`

Method Summary
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `addAllTrigger(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger> values)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `addTrigger(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `addTrigger(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `addTrigger(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `addTrigger(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `addTriggerBuilder()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `addTriggerBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `build()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `buildPartial()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `clear()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `clearTrigger()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `clone()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger` | `getTrigger(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder` | `getTriggerBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`List<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder>` | `getTriggerBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`int` | `getTriggerCount()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`List<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger>` | `getTriggerList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder` | `getTriggerOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder>` | `getTriggerOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode other)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `mergeFrom(com.google.protobuf.Message other)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `removeTrigger(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `setTrigger(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `setTrigger(int index, JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

Methods inherited from class com.google.protobuf.GeneratedMessage.Builder
`addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

Methods inherited from class com.google.protobuf.AbstractMessage.Builder
`findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder
`addAll, newUninitializedMessageException`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Method Detail

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder>`

### clear

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder clear()

  Specified by:
    `clear` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clear` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder>`

### clone

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder clone()

  Specified by:
    `clone` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clone` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder>`

### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder>`

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode build()

  Specified by:
    `build` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode buildPartial()

  Specified by:
    `buildPartial` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder mergeFrom(com.google.protobuf.Message other)

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode other)

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                throws IOException

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder>`
  Throws:
    `IOException`

### getTriggerList

    public List<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger> getTriggerList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

  Specified by:
    `getTriggerList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`

### getTriggerCount

    public int getTriggerCount()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

  Specified by:
    `getTriggerCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`

### getTrigger

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger getTrigger(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

  Specified by:
    `getTrigger` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`

### setTrigger

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder setTrigger(int index,
                                                                                        JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### setTrigger

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder setTrigger(int index,
                                                                                        JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### addTrigger

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder addTrigger(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### addTrigger

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder addTrigger(int index,
                                                                                        JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### addTrigger

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder addTrigger(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### addTrigger

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder addTrigger(int index,
                                                                                        JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### addAllTrigger

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder addAllTrigger(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger> values)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### clearTrigger

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder clearTrigger()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### removeTrigger

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder removeTrigger(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### getTriggerBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder getTriggerBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### getTriggerOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder getTriggerOrBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

  Specified by:
    `getTriggerOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`

### getTriggerOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder> getTriggerOrBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

  Specified by:
    `getTriggerOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`

### addTriggerBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder addTriggerBuilder()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### addTriggerBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder addTriggerBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

### getTriggerBuilderList

    public List<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder> getTriggerBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.